#could not create a primitive descriptor for a convolution forward propagation primitive

5 messages · Page 1 of 1 (latest)

royal tartan
#

#dev-chat message

#

The ubuntu container:

RUN apt-get update && apt-get upgrade -y \
    && apt-get install -y \
        python3 python3-pip python3-venv ca-certificates libc++-dev \
        libnuma1 libnuma-dev \
        libcap2-bin \
        libgl1 libglib2.0-0 \
        vim curl \
        git libgl1 libglib2.0-0 git-lfs
WORKDIR /root/
RUN git clone https://github.com/invoke-ai/invoke-training.git
WORKDIR /root/invoke-training/
RUN pip uninstall numpy --yes && python3 -m venv venv && . venv/bin/activate && \
    python -m pip install --upgrade pip && \
    pip install ".[test]" --extra-index-url https://download.pytorch.org/whl/cu121
ENV PATH="$PATH:/root/invoke-training/venv/bin"
CMD ["sleep", "infinity"]```


The script to kick off the docker container and UI
```#!/usr/bin/env bash
set -aexo pipefail
SCRIPT_DIR="$( cd -P "$( dirname "$(readlink -f "${BASH_SOURCE[0]}")" )" && pwd )"
cd "${SCRIPT_DIR}"
cleanup() {
    rm -rf tmp
    docker rm -f ${TEST_NAME}
}
trap cleanup EXIT
TEST_NAME=$(basename "${SCRIPT_DIR}")
mkdir -p tmp
pushd tmp
    git lfs install
    git clone https://huggingface.co/datasets/InvokeAI/nga-baroque
popd
docker build -t ${TEST_NAME} .
docker run \
    --rm -itd \
    --name ${TEST_NAME} \
    -h ${TEST_NAME} \
    -p 1234:1234 \
    -p 6006:6006 \
    -v ${SCRIPT_DIR}/tmp:/root/invoke-training/data \
    ${TEST_NAME}
docker exec ${TEST_NAME} bash -c 'invoke-train-ui --host 0.0.0.0 --port 1234'```

Using the default stuff too, no changes in the UI
royal tartan
#

Fixed: #dev-chat message